Keyword

Fatal error: Cannot declare class K2ModelItemlis

  • Akram Helali
  • Akram Helali's Avatar Topic Author
  • Offline
  • New Member
More
8 months 2 weeks ago #171088 by Akram Helali
Akram Helali created the topic: Fatal error: Cannot declare class K2ModelItemlis
Dear support,
Before of all I want to thank you for the efforts you made for this forum,
I'm the webmaster of the dunevoices.infotike.com news online website, (Joomla 3.9.2/PHP 7.2.13)
All works well and fine but after updating my PHP version (request by my provider for a vulnerabitily reasons till 31/12/2018) I'm issuing a fatal error problem in mys Joomla K2 component
The problem :
Fatal error: Cannot declare class K2ModelItemlist, because the name is already in use in /home/djogr0/public_html/infotike/dunevoices/components/com_k2/models/itemlist.php on line 1117
The link with problem is:
dunevoices.infotike.com/index.php/fr/algerie/frontiere
The module used is : YJ Newsflash 4
But I tried to use other modules like YJ Module Engine, Latest News Enhanced and the issue is always in the same line in the same sub categories level.
But the module works well in the level (dunevoices.infotike.com/index.php/fr/algerie/) witch is one level before the path (dunevoices.infotike.com/index.php/fr/algerie/frontiere).
Can you please help me to correct the issue. And thank you for your professionalism and habitual support.
Is there any update of the framework K2 and free extentions tools after the PHP 7.2 update, because from this date we issue many problems, and I was obliged to change extentions or to personalise some code like you suggest in your forums,
Best regards

Please Log in or Create an account to join the conversation.

  • Fotis
  • Fotis's Avatar
  • Offline
  • Administrator
  • JoomlaWorks Support Team
More
8 months 2 weeks ago #171118 by Fotis
Fotis replied the topic: Fatal error: Cannot declare class K2ModelItemlis
These modules are probably old and don't utilize K2 code as they should. Check if there are newer versions for these modules and upgrade. If there are no new versions, I would highly recommend you switch to the K2 Content module.

If you get any PHP warnings/notices for core K2 (not the third party modules), update to K2 v2.9.1 (dev) from github.com/getk2/k2/archive/master.zip and they will be resolved.

If you use & love K2, please take a moment to add your review and rate it
at the Joomla Extensions Directory: extensions.joomla.org/extension/k2/


IMPORTANT: Please search the forum before posting a question!

JoomlaWorks Support Team Member

Please Log in or Create an account to join the conversation.

Moderators: william white

Powered by Kunena Forum